Documentation

Everything you need to get started with Blocksy Theme and Companion

Blocksy Minimum System Requirements

So you’ve decided to install Blocksy. That’s great!

But first off, you will need to make sure you meet some minimum system requirements on your web server so that everything will run smoothly as butter.

Technical Stuff Ahead…

To start, a basic Blocksy installation requires nothing more than a default WordPress installation needs. We recommend having the following minimum packages installed on your web server:

  • PHP version 7.4 or greater
  • MySQL version 5.6 or greater (or if you’re a geek, you can use MariaDB version 10.1 or greater)
  • HTTPS support

That’s it! Pretty simple stuff so far.

For the webserver engine, we recommend running Nginx, but the classic Apache will work just as great (but not as fast).

Oh no, I still encounter issues…

While the basic WordPress requirements will generally please a fresh Blocksy installation, sometimes your web server might need an additional configuration. Fear not, it is usually simple to solve these issues by contacting your hosting company and asking for additional support.

“Cannot access demo.creativethemes.com” error while installing a Starter Site

Unfortunately, there’s nothing we can do in this situation. For some reason, your hosting company thinks we aren’t trustworthy, and by default, it blocks access to unknown hosts. In this case, a simple e-mail to your hosting company asking them to unblock our demo domain server should suffice.

Minimum PHP requirements for installing Starter Sites

Depending on your hosting configuration, you might need to enable a few geeky things on your webserver to make sure the Starter Site installation finishes without a hitch! The following modules are required for installing any Starter Site.

  • PHP XML extension or SIMPLEXML extension
  • file_get_contents method that works with an external URL
  • PHP CURL extension (this is used as a backup method in case the file_get_contents method fails)

Congratulations, that’s it!

That should be it. If you’ve made sure all of the above requirements are met, then you should be able to experience Blocksy to its fullest potential.

We cannot wait to see what YOU will create with Blocksy. Make sure to drop us a line once you’ve finished your project!

Not the solution you are looking for?

Please check other articles or open a support ticket.